aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>1999-09-17 15:30:46 +0000
committerBill Nottingham <notting@redhat.com>1999-09-17 15:30:46 +0000
commit7c4b735313fe62162225388fa36fab946ba916b0 (patch)
tree9ba35766a38e3bc37b9603a2f3d6d99ce674e36b
parentcfea400d279c9d23802c37298ddcdb536d48df0a (diff)
downloadinitscripts-7c4b735313fe62162225388fa36fab946ba916b0.tar
initscripts-7c4b735313fe62162225388fa36fab946ba916b0.tar.gz
initscripts-7c4b735313fe62162225388fa36fab946ba916b0.tar.bz2
initscripts-7c4b735313fe62162225388fa36fab946ba916b0.tar.xz
initscripts-7c4b735313fe62162225388fa36fab946ba916b0.zip
load/save mixer settings here.
-rwxr-xr-xrc.d/init.d/halt6
-rwxr-xr-xrc.d/rc.sysinit4
2 files changed, 10 insertions, 0 deletions
diff --git a/rc.d/init.d/halt b/rc.d/init.d/halt
index 9a368cbf..7377385e 100755
--- a/rc.d/init.d/halt
+++ b/rc.d/init.d/halt
@@ -50,6 +50,12 @@ runcmd "Sending all processes the KILL signal.." /sbin/killall5 -9
# Write to wtmp file before unmounting /var
halt -w
+# Save mixer settings, here for lack of a better place.
+grep -q "\(sparcaudio\|sound\)" /proc/devices
+if [ $? = 0 ]; then
+ runcmd "Saving mixer settings" /bin/aumix-minimal -f /etc/.aumixrc -S
+fi
+
# Turn off swap, then unmount file systems.
runcmd "Turning off swap and accounting" swapoff -a
# Turn off other swap that isn't in /etc/fstab
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 061b2309..df697ab4 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -266,6 +266,10 @@ if [ -n "$USEMODULES" ]; then
if grep -s -q "^alias sound " /etc/conf.modules ; then
action "Loading sound module" modprobe sound
fi
+ # Get mixer settings
+ if [ $? -eq 0 -a -f /etc/.aumixrc ]; then
+ action "Loading mixer settings" /bin/aumix-minimal -f /etc/.aumixrc -L >/dev/null
+ fi
if grep -s -q "^alias midi " /etc/conf.modules ; then
action "Loading midi module" modprobe midi
fi